
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>SpringMVC 中 HttpMessageConverter&amp;lt;T&amp;gt; / iVAN</title>

    <meta name="description" content="SpringMVC 中 HttpMessageConverter&amp;lt;T&amp;gt; HttpMessageConverter负责将请求信息转换为一个对象(类型为T),将对象(类型为T)输出为响应信息. 下面我们说一下如何使用. 使用HttpMessageConverter将请求信息转化并绑定到处理方法的入参中或将响应结果转为对应类型的响应信息,SpringMVC提供了两种途径: 使用@RequestBody或@ResponseBody对处理方法进行标注 使用HttpEntity&lt; T &gt;或 ResponseEntity&lt; T &gt;作为处理方法的入参或返回值 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">SpringMVC 中 HttpMessageConverter&amp;lt;T&amp;gt;</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>HttpMessageConverter</strong>负责将请求信息转换为一个对象（类型为T），将对象（类型为T）输出为响应信息。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjExMTQyMTQ5MTEzNTE=.jpg"></p>
<p>下面我们说一下如何使用。</p>
<p>使用HttpMessageConverter将请求信息转化并绑定到处理方法的入参中或将响应结果转为对应类型的响应信息，SpringMVC提供了两种途径：</p>
<ul>
<li>使用@RequestBody或@ResponseBody对处理方法进行标注</li>
<li>使用HttpEntity&lt; T &gt;或 ResponseEntity&lt; T &gt;作为处理方法的入参或返回值</li>
</ul>
<p>说明：不需要成对的出现。</p>
<p>当控制器处理方法使用到@RequestBody或@ResponseBody或HttpEntity&lt; T &gt;或ResponseEntity&lt; T &gt;时，SpringMVC首先根据请求头或者响应头的Accept属性选择匹配的HttpMessageConverter，进而根据参数类型或泛型类型的过滤得到匹配的HttpMessageConverter，若找不到可用的HttpMessageConverter将报错。</p>
<p>我们看看实例。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjExMTQyMTU3MzkyOTE=.jpg"></p>
<p>前台index.jsp加一句就行</p>
<pre><code>&lt;a href="testResponseEntity"&gt;Test ResponseEntity &lt;/a&gt;</code></pre>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNjExMTQyMTU5MTkyNjE=.jpg"></p>
<p>就会把文件下载下来。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-02 12:56:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/index/" title="index">index</a>, <a href="https://www.iamivan.net/tag/test/" title="test">test</a>, <a href="https://www.iamivan.net/tag/springmvc/" title="springmvc">springmvc</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>SpringMVC 中 HttpMessageConverter&amp;lt;T&amp;gt;的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRQ0jz.html" rel="bookmark">SpringMVC 中HttpMessageConverter简介</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.问题描述: 在SprinvMVC的Web程序中,我在页面发送Ajax 的POST请求,然后在服务器端利用@requestBody接收请求body中的参数,当时运行过程中,我想服务器发送Ajax请求,浏览器一直反馈415 Unsupported Media Type或者400的状态码,以为是Ajax写的有问题.便查找了半天资料,才发现spring-mvc.config文件的配置中少了东西,当然也有可能是你真的在Ajax中缺少了对Content-Type参数的设置.分析后应该是我springMV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVKjDz.html" rel="bookmark">SpringMVC 中HttpMessageConverter简介和Http请求415 的问题&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.问题描述: 在SprinvMVC的Web程序中,我在页面发送Ajax 的POST请求,然后在服务器端利用@requestBody接收请求body中的参数,当时运行过程中,我想服务器发送Ajax请求,浏览器一直反馈415 Unsupported Media Type或者400的状态码,以为是Ajax写的有问题.便查找了半天资料,才发现spring-mvc.config文件的配置中少了东西,当然也有可能是你真的在Ajax中缺少了对Content-Type参数的设置.分析后应该是我springMV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balddNz.html" rel="bookmark">SpringMVC中Controller的方法中参数的工作原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 SpringMVC是目前主流的Web MVC框架之一. 如果有同学对它不熟悉,那么请参考它的入门blog:http://www.cnblogs.com/fangjian0423/p/springMVC-introduction.html SpringMVC中Controller的方法参数可以是Integer,Double,自定义对象,ServletRequest,ServletResponse,ModelAndView等等,非常灵活.本文将分析SpringMVC是如何对这些参数进行处理的,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd6OG2b.html" rel="bookmark">springMVC中的Model是不能页面之间传递的？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 springMVC中的Model是不能页面之间传递的? 我的请求被controller拦截,进入controller,然后controller跳转至show.jsp, 跳转之前我往show.jsp页的model里面增加了几个key, 然后我在show页去ajax另一个controller,这时候ajax调用的controller是无法获取 show.jsp页面的model的,这是为什么?request不是也可以在页面之间传递吗? 下方为代码: 第一次跳转页面的controller @R			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQrYQQM.html" rel="bookmark">详解SpringMVC中Controller的方法中参数的工作原理&lbrack;附带源码分析&rsqb;   good</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 前言 现象 源码分析 HandlerMethodArgumentResolver与HandlerMethodReturnValueHandler接口介绍 HandlerMethodArgumentResolver与HandlerMethodReturnValueHandler接口的具体应用 常用HandlerMethodArgumentResolver介绍 常用HandlerMethodReturnValueHandler介绍 本文开头现象解释以及解决方案 编写自定义的HandlerMet			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7Y3AZM.html" rel="bookmark">配置-SpringMVC中怎么将&commat;ResponseBody返回Json数据在log4j中输出</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 SpringMVC中怎么将@ResponseBody返回Json数据在log4j中输出 SpringMVC中怎么将@ResponseBody返回Json数据在log4j中输出 spring配置如下: &lt;!-- json转换器 --&gt; text/html;charset=UTF-8 controller如下: @RequestMapping(&quot;/saveUser&quot;) @ResponseBody public User saveUser(){ User user =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgRd55b.html" rel="bookmark">SpringMVC中使用Interceptor拦截器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				SpringMVC 中的Interceptor 拦截器也是相当重要和相当有用的,它的主要作用是拦截用户的请求并进行相应的处理.比如通过它来进行权限验证,或者是来判断用户是否登陆,或者是像12306 那样子判断当前时间是否是购票时间.  一.定义Interceptor实现类  SpringMVC 中的Interceptor 拦截请求是通过HandlerInterceptor 来实现的.在SpringMVC 中定义一个Interceptor 非常简单,主要有两种方式,第一种方式是要定义的Interc			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxY4dmp.html" rel="bookmark">SpringMVC中通过&commat;ResponseBody返回对象，Js中调用&commat;ResponseBody返回值，统计剩余评论字数的js，&commat;RequestParam默认值，&commat;PathVariable的用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.SpringMVC中通过@ResponseBody返回对象,作为JQuery中的ajax返回值 package com.kuman.cartoon.controller;   import java.util.Map;   import javax.servlet.http.HttpServletRequest;   import org.apache.commons.io.filefilter.FalseFileFilter; import org.slf4j.Logger; import			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRDgjez.html" rel="bookmark">表单数据-使用springmvc中controller怎么实现JSP页面数据提交到oracle数据库，求代码。</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 使用springmvc中controller怎么实现JSP页面数据提交到oracle数据库,求代码. 如何使用controller进行JSP页面输入数据的存储,如图,怎么写这个功能的代码,将咨询内容提交到后台数据库中,然后在后台管理的页面进行对该问题的回复.求大神给写个代码.谢谢. 解决方案 你要把数据传递到后台,然后在保存到数据库里面,建议使用Ajax操作,先把数据传递到后台,通过业务逻辑保存好了之后,再把你的回复通过Ajax的回调函数返回到界面 解决方案二: 怎么写的,求给个代码.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Vdmz.html" rel="bookmark" class="title">7个极具杀伤力的Linux命令大全</a>
					<div>
						不要让傻孩子们敲入以下命令,尽管这些命令看上去相当复杂,但还是会对你的系统造成严重影响.有一些会影响你的程序和系统运行,有一些会直接把你的盘抹掉,这些命令几乎没有什么可以挽回的余地. 1. Code: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ7Qqb.html" rel="bookmark" class="title">SQL Server 与 Excel</a>
					<div>
						excel|server /*存储过程名称:导出数据到Excel功能描述:导出数据到Excel EXEC ExportToExcel @server = '.',                    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvPjVz.html" rel="bookmark" class="title">RSS 2&period;0规范</a>
					<div>
						rss|规范 RSS 2.0规范RSS是 Really Simple Syndication的缩写(对rss2.0而言,是这三个词的缩写,对rss1.0而言则是RDF Site Summary的缩写, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDRZXM.html" rel="bookmark" class="title">JSP及JSP页面的翻页</a>
					<div>
						js|翻页|页面 在以列表的形式显示数据时需要对页面进行翻页控制,基本在项目的各模块中都会用到.为了最大限度地实现翻页的可重用和易移植,利用组件的形式对翻页逻辑进行封装. 翻页控制器的分析 描述: 翻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zekVOM.html" rel="bookmark" class="title">使用Fireworks制作静电效果</a>
					<div>
						其实我也不知道应该叫什么效果好些,就叫它静电效果吧. 效果图: 1.创建圆形文字: 2.对圆形文字运用闪电及缩放模糊效果: 3.对平面化的图层,运用渐变效果: 4.克隆位图: 注:教程中提到的缩放模糊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9VXkp.html" rel="bookmark" class="title">用ASP&period;NET将网页错误信息写入系统日志</a>
					<div>
						asp.net|错误|网页 设计网站的时候,不可能我们的网站不出现一点错误,常见的&quot;页面不存在&quot;&quot;页面运行出错&quot;等错误信息一般网站多少总是存在的,关键是,这些错 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2d1lp.html" rel="bookmark" class="title">Winrar自动生成压缩文件密码</a>
					<div>
						为了文件的安全保密,或许你经常给压缩文件设置一个密码.于是每次压缩文件时都要设置一个密码,这样的重复步骤做多了,显得十分枯燥,并且办事效率也不高.假使能够在生成压缩文件的同时自动设置一个自己的密码,那 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd70a6M.html" rel="bookmark" class="title">PHP开发框架Yii Framework教程&lpar;5&rpar; URL管理</a>
					<div>
						在上一篇Yii Framework 开发简明教程(4) Hangman 猜单词游戏实例略去了几个方面的问题,一是配置文件main.php 的 URLManager,二是Controller的基类CCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNxv8b.html" rel="bookmark" class="title">SVN快速入门2：windows下的操作</a>
					<div>
						上一篇文章介绍了如果用命令行执行svn命令,比较繁琐,下面将介绍在 windows下进行svn操作. 为了安全着想,一般不允许匿名用户.所以将repository\conf目录下的 svnserve. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLo8Yb.html" rel="bookmark" class="title">基于行数预测的长文章分页</a>
					<div>
						说句老实话,我是个不大习惯写博的主,而且本次写博目的是想过来发个小广告,哈哈,都是园子里的兄弟不要拿砖头扔我 园子里的兄弟时间都是很宝贵的.为了大家消消火,少让大家过来扔砖头.所以就把最近项目里碰到的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnr8Kz.html" rel="bookmark" class="title">Mac OS X 惊现最危险木马</a>
					<div>
						虽然乔布斯已去,但是苹果的光环还在,黑客也依然在不断的骚扰着苹果.最近苹果iOS就又爆出了安全漏洞,如果 iPhone 及 iPad 使用者不小心下载到黑客开发的恶意程序,将导致个人资料被曝光. 与此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Ev6VM.html" rel="bookmark" class="title">怎样在Excel中自动突出纯汉字的单元格</a>
					<div>
						  大家请看下面的操作演示. ①启动Excel2007,打开数据表格,选中E列,单击菜单栏--开始--条件格式--新建规则. ②弹出新建规则对话框,规则类型选择最后一个,使用公式确定要设置格式的单元格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJnjnp.html" rel="bookmark" class="title">win7系统黑屏的原因</a>
					<div>
						  win7系统黑屏是怎么回事? 微软公司称,2014年,微软将取消Windows XP的所有技术支持.Windows 7将是Windows XP的继承者.另外,Windows体验指数也由Vista的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq80LRb.html" rel="bookmark" class="title">搜狗壁纸怎么卸载</a>
					<div>
						  方法一:首先我们可以利用卸载软件360安全卫士,点击软件管家==卸载软件==一键卸载 方法二:在开始菜单中找到搜狗壁纸点击卸载 方法三:右击搜狗壁纸图标==打开文件位置,我们再它的安装目录中双击& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YJXrM.html" rel="bookmark" class="title">android&colon;padding和android&colon;margin的区别&lbrack;转&rsqb;</a>
					<div>
						本文综合了:http://zhujiao.iteye.com/blog/1856980 和 http://blog.csdn.net/maikol/article/details/6048647 两篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamP7wb.html" rel="bookmark" class="title">jsp 编写网站怎么获取百度地图API  实现校园的导航？</a>
					<div>
						问题描述 毕业设计需要制作校园导航,想通过百度API的接口实现网页上获取我们学校的地图,有没有同学有相关的资料,或知道如何实现这个功能.我还是java_web菜鸟,求指导? 解决方案 解决方案二:我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWxlvp.html" rel="bookmark" class="title">关于从数据库取下来菜单，以及取到之后如何替换真实的值</a>
					<div>
						问题描述 下拉菜单是指标,指标是从多个数据库的字段取来的,显示的中文名,这时候指标还没有真实的数值.请问如何存储才能在后面那些数据库中有真实的值之后作出替换.比如:下拉菜单中有指标1指标2指标3.我用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdRJVdb.html" rel="bookmark" class="title">RDS最佳实践&lpar;三&rpar;&mdash;如何制定相关的流程来规范RDS的使用</a>
					<div>
						上一篇文章中,我们介绍了如何快速的把本地自建的数据库迁移入云,那是不是把数据库迁移到RDS后,用户就什么都不需要做了?比如RDS帮你的数据库做到了高可用,在主库出现down机后能够快速切换到备库,立刻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40EkYz.html" rel="bookmark" class="title">浅谈让你网店销量猛增的秘诀</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 第一,尽量把自己的店铺弄得简单.大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAGNjb.html" rel="bookmark" class="title">给已故亲人一个帐号：1000Memories</a>
					<div>
						Facebook开启了前所未有的社交新时代,在这个时代,人人通过网络联系起来,人们的现在和未来都和社交网络无时无刻发生着关系.而在美国,一个叫做1000Memories的网站,发现社交网站比较火,但都 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyevoEM.html" rel="bookmark" class="title">机房收费系统的上下机</a>
					<div>
						        机房收费系统的上下机,涉及到对多张表的操作,但是还是从数据库中取数据,读出来,处理,然后放回去.其中,如何上下机的逻辑感觉很重要.      一,上机       在上机时,首先(非空 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b22L6rb.html" rel="bookmark" class="title">哪位java大虾看看我这个程序错哪了&hellip;&hellip;按关闭按钮的弹窗里面两个button功能不能实现&hellip;&hellip;</a>
					<div>
						问题描述 importjavax.swing.*;importjava.awt.*;importjava.awt.event.*;importjavax.swing.JFrame;importjava ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRvGOp.html" rel="bookmark" class="title">请高手说一说学习java的步骤？</a>
					<div>
						问题描述 我现在是大三在校学生,看尚学堂马士兵的教程看到坦克大战的实例了,准备打好基础毕业再去培训,再找工作,但自学时候发现java的名词太多了,比如jspJUnit4swingStruts等等太多了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDn2YrM.html" rel="bookmark" class="title">程序员应该接外包吗？</a>
					<div>
						前阵子连续收到几封来自「程序员客栈」的营销邮件,这引起了我的好奇. 从客栈说起 我每天都会收到大量推广或广告的营销邮件,为什么这个引起了我的注意?恩,这里先跑远点扯点题外话. 客栈这个词让我想起了一部 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKq81Ep.html" rel="bookmark" class="title">基于android示例程序&lpar;bitmapfun&rpar; 高效加载图片让人无语地方&lowbar;Android</a>
					<div>
						在android的开发指南上有这样一篇文章,如何更有效率的加载图片,地址为 https://developer.android.com/training/displaying-bitmaps/inde ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNDWep.html" rel="bookmark" class="title">Android Toast通知用法实例详解&lowbar;Android</a>
					<div>
						本文实例讲述了Android Toast通知用法.分享给大家供大家参考,具体如下: Toast在手机屏幕上向用户显示一条信息,一段时间后信息会自动消失. 1.默认用法 复制代码 代码如下: Toast ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0l65z.html" rel="bookmark" class="title">Oracle存储过程基本语法介绍&lowbar;oracle</a>
					<div>
						Oracle存储过程基本语法 存储过程 1 CREATE OR REPLACE PROCEDURE 存储过程名 2 IS 3 BEGIN 4 NULL; 5 END; 行1: CREATE OR RE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3ZnvJz.html" rel="bookmark" class="title">android 屏幕保持唤醒 不锁屏 android&period;permission&period;WAKE&lowbar;LOCK</a>
					<div>
						﻿﻿In AndroidManifest.xml 加上权限:&lt;uses-permission android:name=&quot;android.permission.WAKE_LOCK&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z44qP1z.html" rel="bookmark" class="title">寻找《Understanding Map Projections》</a>
					<div>
						问题描述 昨天我下了一个,但是到了52%下不了,急切需要这本书.中英文都行.谁能帮个忙谢谢了先! 解决方案 解决方案二:呃,试试这个传到资源下载区了解决方案三:谢谢NickWar					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvNR7M.html" rel="bookmark" class="title">关于OleDbDataAdapter批量更新数据库的问题（急&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;）</a>
					<div>
						问题描述 问题是数据库中原有一个表,现在计算得到新的数据,想通过OleDbDataAdapter批量更新数据,要求函数形式为publicboolSaveData(DataTableDT,stringD ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
